Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.ps
Class PSPageDeviceDictionary

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              org.apache.xmlgraphics.ps.PSDictionary
                  org.apache.xmlgraphics.ps.PSPageDeviceDictionary

All Implemented Interfaces:
  Serializable, Cloneable, Map

    public class PSPageDeviceDictionary

extends PSDictionary

Postscript page device dictionary object This object is used by the postscript renderer to hold postscript page device values. It can also be used to minimize the number of setpagedevice calls when DSC compliance is false.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`PSPageDeviceDictionary()`

Method Summary
`void` | `clear()`
`String` | `getContent()` Returns a dictionary string with containing all unwritten content note: unnecessary writes are important as there is a device specific initgraphics call by the underlying postscript interpreter on every setpagedevice call which can result in blank pages etc.
`boolean` | `isEmpty()` Returns `true` if this map contains no key-value mappings.
`Object` | `put(Object key, Object value)`
`void` | `putAll(Map m)`
`void` | `setFlushOnRetrieval(boolean flushOnRetrieval)` The contents of the dictionary are flushed when written

Methods inherited from class org.apache.xmlgraphics.ps.PSDictionary
`equals, hashCode, toString, valueOf`

Methods inherited from class java.util.HashMap
`clone, containsKey, containsValue, entrySet, get, keySet, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PSPageDeviceDictionary

    public PSPageDeviceDictionary()

Method Detail

### put

    public Object put(Object key,
                      Object value)

  Specified by:
    `put` in interface `Map`
  Overrides:
    `put` in class `HashMap`
  Parameters:
    `key` - key with which the specified value is to be associated.
    `value` - value to be associated with the specified key.
  Returns:
    the previous value associated with the key or null
  See Also:
    `Map.put(Object, Object)`

### putAll

    public void putAll(Map m)

  Specified by:
    `putAll` in interface `Map`
  Overrides:
    `putAll` in class `HashMap`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map`
  Overrides:
    `clear` in class `HashMap`
  See Also:
    `Map.clear()`

### isEmpty

    public boolean isEmpty()

  Returns `true` if this map contains no key-value mappings.

  Specified by:
    `isEmpty` in interface `Map`
  Overrides:
    `isEmpty` in class `HashMap`
  Returns:
    `true` if this map contains no key-value mappings.

### setFlushOnRetrieval

    public void setFlushOnRetrieval(boolean flushOnRetrieval)

  The contents of the dictionary are flushed when written

  Parameters:
    `flushOnRetrieval` - boolean value

### getContent

    public String getContent()

  Returns a dictionary string with containing all unwritten content note: unnecessary writes are important as there is a device specific initgraphics call by the underlying postscript interpreter on every setpagedevice call which can result in blank pages etc.

  Returns:
    unwritten content dictionary string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.